Russian locale

classic Classic list List threaded Threaded
26 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Russian locale

Vitali Samurov
Hello,

how to run GRAMPS properly in Russian? (on Debian Etch)

Br,
Vitali

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Alex Roitman
On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
> Hello,
>
> how to run GRAMPS properly in Russian? (on Debian Etch)

Just like any other program:

   $ LANG=russian LANUGAGE=russian gramps

Your mileage may vary, depending on the available
locales. Check with "locale -a" to see what is available.
If no russian locale is enabled, then run
    dpkg-reconfigure locales
as root and enable at least one Russian locale.

Alex


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
Thanks!

I will test it now. What will be the latest stable Gramps release
for Debian Etch?

Br,
Vitali

Alex Roitman wrote:

> On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>> Hello,
>>
>> how to run GRAMPS properly in Russian? (on Debian Etch)
>
> Just like any other program:
>
>    $ LANG=russian LANUGAGE=russian gramps
>
> Your mileage may vary, depending on the available
> locales. Check with "locale -a" to see what is available.
> If no russian locale is enabled, then run
>     dpkg-reconfigure locales
> as root and enable at least one Russian locale.
>
> Alex
>



-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
2.2.9 is stable, with some known minor bugs, you find it in testing I think (see installation page on our website).

Benny

2007/12/3, Vitali S. <[hidden email]>:
Thanks!

I will test it now. What will be the latest stable Gramps release
for Debian Etch?

Br,
Vitali

Alex Roitman wrote:

> On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>> Hello,
>>
>> how to run GRAMPS properly in Russian? (on Debian Etch)
>
> Just like any other program:
>
>    $ LANG=russian LANUGAGE=russian gramps
>
> Your mileage may vary, depending on the available
> locales. Check with "locale -a" to see what is available.
> If no russian locale is enabled, then run
>     dpkg-reconfigure locales
> as root and enable at least one Russian locale.
>
> Alex
>



-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
Hi,
sorry if I already asked it long time ago.
Installed 2.2.9-1, and set up CP1251 and UTF8 Russian locales.
After starting GRAMPS from command line I have this text:

 >$LANG=russian LANUGAGE=russian gramps
 >(gramps.py:5914): Gtk-WARNING **: Locale not supported by C library.
 >       Using the fallback 'C' locale.
 >Проверка правописания не работает без установленного языка.
 >Установите locale для использования проверки правописания.
 >LPRDoc: Free true type fonts not found.
 >       Microsoft true type fonts not found.
 >       Using Gnome standard fonts.
 >        Non-ascii characters will appear garbled in the output.
 >        INSTALL Free true type fonts
 >        from http://www.nongnu.org/freefont/"

GRAMPS seems to be started correctly.
Any actions from me?

Br,
Vitali


Benny Malengier wrote:

> 2.2.9 is stable, with some known minor bugs, you find it in testing I
> think (see installation page on our website).
>
> Benny
>
> 2007/12/3, Vitali S. <[hidden email] <mailto:[hidden email]>>:
>
>     Thanks!
>
>     I will test it now. What will be the latest stable Gramps release
>     for Debian Etch?
>
>     Br,
>     Vitali
>
>     Alex Roitman wrote:
>     > On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>     >> Hello,
>     >>
>     >> how to run GRAMPS properly in Russian? (on Debian Etch)
>     >
>     > Just like any other program:
>     >
>     >    $ LANG=russian LANUGAGE=russian gramps
>     >
>     > Your mileage may vary, depending on the available
>     > locales. Check with "locale -a" to see what is available.
>     > If no russian locale is enabled, then run
>     >     dpkg-reconfigure locales
>     > as root and enable at least one Russian locale.
>     >
>     > Alex
>     >
>
>
>
>     -------------------------------------------------------------------------
>
>     SF.Net email is sponsored by: The Future of Linux Business White Paper
>     from Novell.  From the desktop to the data center, Linux is going
>     mainstream.  Let it simplify your IT future.
>     http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
>     _______________________________________________
>     Gramps-users mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Michael Lightfoot
In reply to this post by Benny Malengier
On Tuesday 04 December 2007 05:27:17 Benny Malengier wrote:
> 2.2.9 is stable, with some known minor bugs, you find it in testing I think
> (see installation page on our website).
>
2.2.8-1 is the package available in Debian testing.  Help --> About shows
2.2.8-0.SVN on my system.

--
====
Michael Lightfoot
Canberra, Australia
[hidden email]
====

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
In reply to this post by Vitali Samurov
perhaps this can help you: http://www.gramps-project.org/wiki/index.php?title=Howto:_Change_the_language_of_reports

Benny

2007/12/3, Vitali S. <[hidden email]>:
Hi,
sorry if I already asked it long time ago.
Installed 2.2.9-1, and set up CP1251 and UTF8 Russian locales.
After starting GRAMPS from command line I have this text:

>$LANG=russian LANUGAGE=russian gramps
>(gramps.py:5914): Gtk-WARNING **: Locale not supported by C library.
>       Using the fallback 'C' locale.
>Проверка правописания не работает без установленного языка.
>Установите locale для использования проверки правописания.
>LPRDoc: Free true type fonts not found.
>       Microsoft true type fonts not found.
>       Using Gnome standard fonts.
>        Non-ascii characters will appear garbled in the output.
>        INSTALL Free true type fonts
>        from http://www.nongnu.org/freefont/"

GRAMPS seems to be started correctly.
Any actions from me?

Br,
Vitali


Benny Malengier wrote:

> 2.2.9 is stable, with some known minor bugs, you find it in testing I
> think (see installation page on our website).
>
> Benny
>
> 2007/12/3, Vitali S. <[hidden email] <mailto:[hidden email]>>:
>
>     Thanks!
>
>     I will test it now. What will be the latest stable Gramps release
>     for Debian Etch?
>

>     Br,
>     Vitali
>
>     Alex Roitman wrote:
>     > On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>     >> Hello,
>     >>
>     >> how to run GRAMPS properly in Russian? (on Debian Etch)
>     >
>     > Just like any other program:
>     >
>     >    $ LANG=russian LANUGAGE=russian gramps
>     >
>     > Your mileage may vary, depending on the available
>     > locales. Check with "locale -a" to see what is available.
>     > If no russian locale is enabled, then run
>     >     dpkg-reconfigure locales
>     > as root and enable at least one Russian locale.
>     >
>     > Alex
>     >
>
>
>
>     -------------------------------------------------------------------------
>
>     SF.Net email is sponsored by: The Future of Linux Business White Paper
>     from Novell.  From the desktop to the data center, Linux is going
>     mainstream.  Let it simplify your IT future.
>     http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
>     _______________________________________________
>     Gramps-users mailing list
>     [hidden email]
>     <mailto: [hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>



-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
In reply to this post by Michael Lightfoot
Hi,
already installed 2.2.9-1. If find something strange I will report about it

Br,
Vitali

Michael Lightfoot wrote:

> On Tuesday 04 December 2007 05:27:17 Benny Malengier wrote:
>  
>> 2.2.9 is stable, with some known minor bugs, you find it in testing I think
>> (see installation page on our website).
>>
>>    
> 2.2.8-1 is the package available in Debian testing.  Help --> About shows
> 2.2.8-0.SVN on my system.
>
>  


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
In reply to this post by Benny Malengier
Hi,

I've found that 2.2.9-1 reports an error during the closing of database, and
crashes the database file -> can not open it after next start of Gramps.

I've reported by bug-report tool to the gramps-bugs mail-list.

Should I downgrade it to 2.2.8-1?  Or  it is  problem of my database
file (from another version of
Gramps from Ubuntu)?

Br,
Vitali



Benny Malengier wrote:

> 2.2.9 is stable, with some known minor bugs, you find it in testing I
> think (see installation page on our website).
>
> Benny
>
> 2007/12/3, Vitali S. <[hidden email] <mailto:[hidden email]>>:
>
>     Thanks!
>
>     I will test it now. What will be the latest stable Gramps release
>     for Debian Etch?
>
>     Br,
>     Vitali
>
>     Alex Roitman wrote:
>     > On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>     >> Hello,
>     >>
>     >> how to run GRAMPS properly in Russian? (on Debian Etch)
>     >
>     > Just like any other program:
>     >
>     >    $ LANG=russian LANUGAGE=russian gramps
>     >
>     > Your mileage may vary, depending on the available
>     > locales. Check with "locale -a" to see what is available.
>     > If no russian locale is enabled, then run
>     >     dpkg-reconfigure locales
>     > as root and enable at least one Russian locale.
>     >
>     > Alex
>     >
>
>
>
>     -------------------------------------------------------------------------
>
>     SF.Net email is sponsored by: The Future of Linux Business White Paper
>     from Novell.  From the desktop to the data center, Linux is going
>     mainstream.  Let it simplify your IT future.
>     http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
>     _______________________________________________
>     Gramps-users mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
2.2.9 has a bug not allowing you to directly edit XML files.
Direct edit of XML is anyway something you should try not to do, better is to import in .grdb database, do your work, and export to xml if you need a backup or for other reasons.

If however you need direct edit of XML, you should use 2.2.8 instead, or use the development version branch22 in subversion where this is already solved. 2.2.10 is not planned at the moment though, we consider this a minor annoyance only.

Benny

2007/12/3, Vitali S. <[hidden email]>:
Hi,

I've found that 2.2.9-1 reports an error during the closing of database, and
crashes the database file -> can not open it after next start of Gramps.

I've reported by bug-report tool to the gramps-bugs mail-list.

Should I downgrade it to 2.2.8-1?  Or  it is  problem of my database
file (from another version of
Gramps from Ubuntu)?

Br,
Vitali



Benny Malengier wrote:

> 2.2.9 is stable, with some known minor bugs, you find it in testing I
> think (see installation page on our website).
>
> Benny
>
> 2007/12/3, Vitali S. <[hidden email] <mailto:[hidden email]>>:
>
>     Thanks!
>
>     I will test it now. What will be the latest stable Gramps release
>     for Debian Etch?
>
>     Br,
>     Vitali
>
>     Alex Roitman wrote:
>     > On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
>     >> Hello,
>     >>
>     >> how to run GRAMPS properly in Russian? (on Debian Etch)
>     >
>     > Just like any other program:
>     >
>     >    $ LANG=russian LANUGAGE=russian gramps
>     >
>     > Your mileage may vary, depending on the available
>     > locales. Check with "locale -a" to see what is available.
>     > If no russian locale is enabled, then run
>     >     dpkg-reconfigure locales
>     > as root and enable at least one Russian locale.
>     >
>     > Alex
>     >
>
>
>
>     -------------------------------------------------------------------------
>
>     SF.Net email is sponsored by: The Future of Linux Business White Paper
>     from Novell.  From the desktop to the data center, Linux is going
>     mainstream.  Let it simplify your IT future.
>     http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
>     _______________________________________________
>     Gramps-users mailing list
>     [hidden email]
>     <mailto:[hidden email]>
>     https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>



-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
In reply to this post by Michael Lightfoot
Indeed, we don't have a Debian packager at the moment.
I think somebody reported you can install the Ubuntu 2.2.9 package on Debian though, can somebody confirm that?

Benny

2007/12/3, Michael Lightfoot < [hidden email]>:
On Tuesday 04 December 2007 05:27:17 Benny Malengier wrote:
> 2.2.9 is stable, with some known minor bugs, you find it in testing I think
> (see installation page on our website).
>
2.2.8-1 is the package available in Debian testing.  Help --> About shows
2.2.8-0.SVN on my system.

--
====
Michael Lightfoot
Canberra, Australia
[hidden email]
====

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
<a href="http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)"> http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
<a href="https://lists.sourceforge.net/lists/listinfo/gramps-users" target="_blank" onclick="return top.js.OpenExtLink(window,event,this)">https://lists.sourceforge.net/lists/listinfo/gramps-users


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Ole G. Gjelland
--- Benny Malengier wrote:
> Indeed, we don't have a Debian packager at the moment.
> I think somebody reported you can install the Ubuntu
> 2.2.9 package on Debian
> though, can somebody confirm that?

Version 2.2.9 has been in sid (unstable) for a while:

<http://packages.debian.org/search?keywords=gramps&searchon=names&suite=all&section=all>

Three simple steps:

 - download the deb (package) from unstable
 - apt-get install librsvg2-common
 - dpkg -i gramps_2.2.9-*_all.deb

--
Ole G.


      ____________________________________________________________________________________
Looking for last minute shopping deals?  
Find them fast with Yahoo! Search.  http://tools.search.yahoo.com/newsearch/category.php?category=shopping

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
Thanks Ole,

I updated http://www.gramps-project.org/wiki/index.php?title=Installation#Upgrading_to_the_latest_version with that link.

Benny

2007/12/4, Ole G. Gjelland <[hidden email]>:
--- Benny Malengier wrote:
> Indeed, we don't have a Debian packager at the moment.
> I think somebody reported you can install the Ubuntu
> 2.2.9 package on Debian
> though, can somebody confirm that?

Version 2.2.9 has been in sid (unstable) for a while:

<http://packages.debian.org/search?keywords=gramps&searchon=names&suite=all&section=all >

Three simple steps:

- download the deb (package) from unstable
- apt-get install librsvg2-common
- dpkg -i gramps_2.2.9-*_all.deb

--
Ole G.


      ____________________________________________________________________________________
Looking for last minute shopping deals?
Find them fast with Yahoo! Search.  http://tools.search.yahoo.com/newsearch/category.php?category=shopping

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
In reply to this post by Vitali Samurov
Hi,

Exactly I have installed Ubuntu 2.2.9-1 package on Debian

Br,
Vitali


----- Исходное сообщение -----
От: Benny Malengier  <[hidden email]>
Кому: Michael Lightfoot  <[hidden email]>
Копия: [hidden email]
Отправлено: вт 04 дек 2007 10:35:08 GMT
Тема: Re: [Gramps-users] Russian locale
Indeed, we don't have a Debian packager at the moment.
I think somebody reported you can install the Ubuntu 2.2.9 package on Debian
though, can somebody confirm that?

Benny

2007/12/3, Michael Lightfoot < [hidden email]>:
>
> On Tuesday 04 December 2007 05:27:17 Benny Malengier wrote:
> > 2.2.9 is stable, with some known minor bugs, you find it in testing I
> think
> > (see installation page on our website).
> >
> 2.2.8-1 is the package available in Debian testing.  Help --> About shows
> 2.2.8-0.SVN on my system.
>
> --
> ====
> Michael Lightfoot
> Canberra, Australia
> [hidden email]
> ====
>
> -------------------------------------------------------------------------
> SF.Net email is sponsored by: The Future of Linux Business White Paper
> from Novell.  From the desktop to the data center, Linux is going
> mainstream.  Let it simplify your IT future.
> http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
> _______________________________________________
> Gramps-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>

<Вложение:>
-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
In reply to this post by Vitali Samurov
Hello,

do you mean that I can not just close Gramps (and save .grdb file but export to Xml instead?

What about 2.2.8-1 - is it Ok?

Br,
Vitali


----- Исходное сообщение -----
От: Benny Malengier  <[hidden email]>
Кому: Vitali S.  <[hidden email]>
Копия: Alex Roitman  <[hidden email]>, [hidden email]
Отправлено: вт 04 дек 2007 10:30:39 GMT
Тема: Re: [Gramps-users] Russian locale
2.2.9 has a bug not allowing you to directly edit XML files.
Direct edit of XML is anyway something you should try not to do, better is
to import in .grdb database, do your work, and export to xml if you need a
backup or for other reasons.

If however you need direct edit of XML, you should use 2.2.8 instead, or use
the development version branch22 in subversion where this is already solved.
2.2.10 is not planned at the moment though, we consider this a minor
annoyance only.

Benny

2007/12/3, Vitali S. <[hidden email]>:
>
> Hi,
>
> I've found that 2.2.9-1 reports an error during the closing of database,
> and
> crashes the database file -> can not open it after next start of Gramps.
>
> I've reported by bug-report tool to the gramps-bugs mail-list.
>
> Should I downgrade it to 2.2.8-1?  Or  it is  problem of my database
> file (from another version of
> Gramps from Ubuntu)?
>
> Br,
> Vitali
>
>
>
> Benny Malengier wrote:
> > 2.2.9 is stable, with some known minor bugs, you find it in testing I
> > think (see installation page on our website).
> >
> > Benny
> >
> > 2007/12/3, Vitali S. <[hidden email] <[hidden email]>>:
> >
> >     Thanks!
> >
> >     I will test it now. What will be the latest stable Gramps release
> >     for Debian Etch?
> >
> >     Br,
> >     Vitali
> >
> >     Alex Roitman wrote:
> >     > On Sun, 2007-12-02 at 00:50 +0200, Vitali S. wrote:
> >     >> Hello,
> >     >>
> >     >> how to run GRAMPS properly in Russian? (on Debian Etch)
> >     >
> >     > Just like any other program:
> >     >
> >     >    $ LANG=russian LANUGAGE=russian gramps
> >     >
> >     > Your mileage may vary, depending on the available
> >     > locales. Check with "locale -a" to see what is available.
> >     > If no russian locale is enabled, then run
> >     >     dpkg-reconfigure locales
> >     > as root and enable at least one Russian locale.
> >     >
> >     > Alex
> >     >
> >
> >
> >
> >
> -------------------------------------------------------------------------
> >
> >     SF.Net email is sponsored by: The Future of Linux Business White
> Paper
> >     from Novell.  From the desktop to the data center, Linux is going
> >     mainstream.  Let it simplify your IT future.
> >     http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
> >     _______________________________________________
> >     Gramps-users mailing list
> >     [hidden email]
> >     <[hidden email]>
> >     https://lists.sourceforge.net/lists/listinfo/gramps-users
> >
> >
>
>


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Benny Malengier
2007/12/4, Vitali S. <[hidden email]>:
Hello,

do you mean that I can not just close Gramps (and save .grdb file but export to Xml instead?

You can work on grdb files just fine. You cannot however open an xml file, edit it, and save. That will lead to a crash. So you need to import xml files in grdb files first.

What about 2.2.8-1 - is it Ok?

Obviously 2.2.9 corrects some bugs, eg with bookmarks, name grouping, ....
Many people still work with 2.2.8 though as it is what is in their distribution

Br,
Vitali



-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Alex Roitman
In reply to this post by Benny Malengier
We do have a Debian packager -- James Treacy, the Debian maintainer
of the gramps package is our packager.

Gramps 2.2.9 is indeed packaged and is in unstable:
http://packages.debian.org/cgi-bin/search_packages.pl?keywords=gramps&searchon=names&subword=1&version=all&release=all

The reason it is not in testing is this bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=447948

Looks like it can be easily fixed. James, do you think you
can do this so that 2.2.9 moves to sid?

Alex

On Tue, 2007-12-04 at 11:35 +0100, Benny Malengier wrote:
> Indeed, we don't have a Debian packager at the moment.
> I think somebody reported you can install the Ubuntu 2.2.9 package on
> Debian though, can somebody confirm that?


-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Jay Treacy
On Tue, Dec 04, 2007 at 08:05:02AM -0800, Alex Roitman wrote:
> We do have a Debian packager -- James Treacy, the Debian maintainer
> of the gramps package is our packager.

I was waiting to see if something else arose before uploading a new
package. 2.2.9-2 has just been uploaded and should be available at
your favorite mirror in less than 12 hours.

It will take 10 days to get into testing but the package from unstable
should install fine on testing.

--
James Treacy
[hidden email]

-------------------------------------------------------------------------
SF.Net email is sponsored by: The Future of Linux Business White Paper
from Novell.  From the desktop to the data center, Linux is going
mainstream.  Let it simplify your IT future.
http://altfarm.mediaplex.com/ad/ck/8857-50307-18918-4
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Vitali Samurov
Hello,

is 2.2.9-2 available (for Debian Etch)?

Br,
Vitali


James A. Treacy wrote:

> On Tue, Dec 04, 2007 at 08:05:02AM -0800, Alex Roitman wrote:
>  
>> We do have a Debian packager -- James Treacy, the Debian maintainer
>> of the gramps package is our packager.
>>    
>
> I was waiting to see if something else arose before uploading a new
> package. 2.2.9-2 has just been uploaded and should be available at
> your favorite mirror in less than 12 hours.
>
> It will take 10 days to get into testing but the package from unstable
> should install fine on testing.
>
>  


-------------------------------------------------------------------------
SF.Net email is sponsored by:
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://sourceforge.net/services/buy/index.php
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Russian locale

Jay Treacy
On Sat, Dec 08, 2007 at 07:12:25PM +0200, Vitali S. wrote:
> Hello,
>
> is 2.2.9-2 available (for Debian Etch)?

I don't know if the dependencies have changed enough so that it is
unable to be installed in etch. All I can say is to try downloading it
and using:
  dpkg -i gramps_2.2.9-2_all.deb

If it doesn't install (if it installs it should work) then you'll have
to go back to the version in etch.

--
James Treacy
[hidden email]

-------------------------------------------------------------------------
SF.Net email is sponsored by:
Check out the new SourceForge.net Marketplace.
It's the best place to buy or sell services for
just about anything Open Source.
http://sourceforge.net/services/buy/index.php
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
12